Get a card by public ID
curl --request GET \
--url https://kan.bn/api/v1/cards/{cardPublicId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://kan.bn/api/v1/cards/{cardPublicId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://kan.bn/api/v1/cards/{cardPublicId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"publicId": "<string>",
"title": "<string>",
"description": "<string>",
"cardNumber": 123,
"index": 123,
"dueDate": "<string>",
"createdBy": "<string>",
"labels": [
{
"publicId": "<string>",
"name": "<string>",
"colourCode": "<string>"
}
],
"attachments": [
{
"publicId": "<string>",
"contentType": "<string>",
"s3Key": "<string>",
"originalFilename": "<string>",
"size": 123,
"url": "<string>"
}
],
"checklists": [
{
"publicId": "<string>",
"name": "<string>",
"index": 123,
"items": [
{
"publicId": "<string>",
"title": "<string>",
"completed": true,
"index": 123
}
]
}
],
"list": {
"publicId": "<string>",
"name": "<string>",
"board": {
"publicId": "<string>",
"name": "<string>",
"labels": [
{
"publicId": "<string>",
"name": "<string>",
"colourCode": "<string>"
}
],
"lists": [
{
"publicId": "<string>",
"name": "<string>"
}
],
"workspace": {
"publicId": "<string>",
"cardPrefix": "<string>",
"members": [
{
"publicId": "<string>",
"email": "<string>",
"status": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
}
]
}
}
},
"members": [
{
"publicId": "<string>",
"email": "<string>",
"user": {
"id": "<string>",
"name": "<string>"
}
}
],
"activities": [
{
"publicId": "<string>",
"type": "<string>",
"createdAt": "<string>",
"fromIndex": 123,
"toIndex": 123,
"fromTitle": "<string>",
"toTitle": "<string>",
"fromDescription": "<string>",
"toDescription": "<string>",
"fromDueDate": "<string>",
"toDueDate": "<string>",
"fromList": {
"publicId": "<string>",
"name": "<string>",
"index": 123
},
"toList": {
"publicId": "<string>",
"name": "<string>",
"index": 123
},
"label": {
"publicId": "<string>",
"name": "<string>"
},
"member": {
"publicId": "<string>",
"user": {
"name": "<string>",
"email": "<string>"
}
},
"user": {
"name": "<string>",
"email": "<string>"
},
"comment": {
"publicId": "<string>",
"comment": "<string>",
"createdBy": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Cards
Get a card by public ID
Retrieves a card by its public ID
GET
/
cards
/
{cardPublicId}
Get a card by public ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
12Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I